# nghttp2_session_callbacks_set_error_callback

## Synopsis

#include <nghttp2/nghttp2.h>

void nghttp2_session_callbacks_set_error_callback(nghttp2_session_callbacks *cbs, nghttp2_error_callback error_callback)

  Warning

  Deprecated. Use `nghttp2_session_callbacks_set_error_callback2()` with `nghttp2_error_callback2` instead.

  Sets callback function invoked when library tells error message to the application.

  If both `nghttp2_error_callback` and `nghttp2_error_callback2` are set, the latter takes precedence.